defaults = {
    'apt': {
        'repos': {
            'nginx': {
                'key': '573BFD6B3D8FBC641079A6ABABF5BD827BD9BF62',
                'items': [
                    'deb http://nginx.org/packages/debian buster nginx',
                ],
            },
        },
        'unattended-upgrades': {
            'origins': {
                'o=nginx,a=stable,n=buster,l=nginx,c=nginx',
            },
        },
        'packages': {
            'nginx': {},
        },
    },
    'nginx': {
        'worker_processes': 4,
        'worker_connections': 1000,
    },
}


@metadata_reactor
def letsencrypt(metadata):
    if not node.has_bundle('letsencrypt'):
        raise DoNotRunAgain

    domains = {}

    for domain in metadata.get('nginx/vhosts', {}).keys():
        domains[domain] = set()

    return {
        'letsencrypt': {
            'domains': domains,
            'reload_after': {
                'nginx',
            },
        },
    }
